Exchange app client credentials for an access token.
POST
/apps/token
const url = 'https://your-store.myciqra.com/apps/token';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.myciqra.com/apps/tokenNo token required — this call authenticates with the app’s client credentials.
Responses
Section titled “ Responses ”OK
Media typeapplication/json
object
accessToken
required
string
expiresIn
required
integer | string format: int32
scope
required
string
scopeNotYetEnforced
required
string
tokenType
required
string
Examplegenerated
{ "accessToken": "example", "expiresIn": 1, "scope": "example", "scopeNotYetEnforced": "example", "tokenType": "example"}Bad Request
Media typeapplication/json
object
error
required
string
errorDescription
required
string
Examplegenerated
{ "error": "example", "errorDescription": "example"}